// Запросить заказы
function orders_read(type = 'all', from, to, panel = 'orders_panel_orders') {
    // type = 'last' (оставить без изменений и взять данные из cookie
    // Пустые from и to тоже возьмутся из текущих значений в cookie

    if (from !== undefined && to !== undefined) {
        // Данные периода переданы

        // Инициализация буфера с данными запроса
        data = {
            '_csrf': yii.getCsrfToken(),
            'from': from,
            'to': to,
            'panel': panel
        };
    } else {
        // Данные периода не переданы

        // Инициализация буфера с данными запроса
        data = {
            '_csrf': yii.getCsrfToken(),
            'panel': panel
        };
    };

    // Запрос
    $.ajax({
        url: '/orders/' + type,
        type: 'post',
        dataType: 'json',
        data: data,
        success: orders_response_success,
        error: orders_response_error
    });

    // // Пересчитывание стоимости
    // cart_cost_calculate();

    return false;
};

function orders_calendar_select(formattedDate, date, inst) {
    if (orders_calendar_ready === true && date[0] !== undefined && date[1] !== undefined) {
        // Обе даты получены

        // Поиск заказов
        orders_read('last', date[0] / 1000, date[1] / 1000);
    }

};

function orders_response(data, status, xhr) {
    // Обработка ответов

    main_response(data, status, xhr);
};

function orders_response_success(data, status, xhr) {
    // Обработка ответов от удавшихся запросов

    orders_response(data, status, xhr);
};

function orders_response_error(data, status, xhr) {
    // Обработка ответов от неудавшихся запросов

    // Инициализвация
    data = data.responseJSON;

    orders_response(data, status, xhr);
};
